Mailinglist Archive: opensuse (3337 mails)

< Previous Next >
Re: [SLE] updating to PHP5
  • From: "Andrei Verovski (aka MacGuru)" <andreil1@xxxxxxxxxxx>
  • Date: Fri, 14 Apr 2006 21:34:24 +0300
  • Message-id: <200604142134.24724.andreil1@xxxxxxxxxxx>
> Thanks, Andrei.
>
> Sorry if I'm not able to understand your answer. I am not able to find a
> 9.0 directory at this address. Must I be able to browse this proposed
> folder by accessing this ftp site as anonymous or simply pointing to it
> with an Internet browser?
>
> There is a php5 folder with a number of subfolders. Each of them containing
> *.changes files, but neither code, nor *.rpm packages.
>
> Please, what am I missing? Thank you,
>
> Ricardo

Hi, Ricardo,

1) ftp://ftp.gwdg.de/linux/suse/projects/apache is an anonymous ftp dir
managed by SuSE staff where you can download latest apache with all
accessories like mod_perl and mod_php. Please note you CANNOT install
php-5.1.x alone, you have to update the rest of apache installation INCLUDING
libapr.

2) SLES 9 as far as I know is based on SuSE 9.0. I have looked at the Apache
project dir, and unfortunately, there is NO builds for SuSE 9.0, the last is
9.3. You can try to install 9.3 rpms on SLES 9 but I am not sure it will
work, they have been (probably, not 100% sure) compiled with different
version of gcc.

So, basically, you have 3 solutions:

1) Build PHP 5 RPMs yourself (I have tried, it was nightmare, with no result
because of too many dependencies).

2) Wait for SLES 10.

3) Use OpenSuSE 10.0 or 10.1RC1. I have no idea what you are looking in SLES
what is not present in OpenSuSE.


< Previous Next >